/**
 * Copyright (C) 2007-2012 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 363 $
 * $Date: 2012-01-22 18:45:43 +0800 (Sun, 22 Jan 2012) $
 */
#ifndef INDII_CLUSTER_CLUSTERVECTOR_HPP
#define INDII_CLUSTER_CLUSTERVECTOR_HPP

#include "boost/numeric/ublas/vector.hpp"

namespace indii {
/**
 * Vector type.
 *
 * @tparam T Datum element type.
 */
template<class T = float>
class ClusterVector {
public:
  static const unsigned N = 3;

  typedef boost::numeric::ublas::vector<T,
      boost::numeric::ublas::bounded_array<T,N> > type;
};
}

#endif

