/**
 * Copyright (C) 2007-2012 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 363 $
 * $Date: 2012-01-22 18:45:43 +0800 (Sun, 22 Jan 2012) $
 */
#include "ClusterModelObserver.hpp"

using namespace indii;

ClusterModelObserver::ClusterModelObserver() : watching(false) {
  //
}

ClusterModelObserver::~ClusterModelObserver() {
  ignore();
}

void ClusterModelObserver::watch(ClusterModelObservable* o) {
  ignore();
  o->subscribe(this);

  this->o = o;
  this->watching = true;
}

void ClusterModelObserver::ignore() {
  if (watching) {
    o->unsubscribe(this);
  }

  this->watching = false;
}
